<?php
/**
 * Created by PhpStorm.
 * User: user50
 * Date: 22-09-2016
 * Time: 02:37 PM
 */
use yii\widgets\ActiveForm;
use yii\helpers\Html;
use yii\widgets\Breadcrumbs;

$this->title = Yii::t('backend', 'Editor');
$this->params['breadcrumbs'][] = ['label' => 'Themes', 'url' => ['theme/index']];
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="text-block-form" style="background-color: #222D32;color: orange">.
    <div class="container">
        <?php $form = ActiveForm::begin(); ?>

        <div class="form-group">
            <div class="row">
                <div class="col-md-11">

<!--                   <?//= Breadcrumbs::widget([
//                        'homeLink' => [
//                            'label' => Yii::t('yii', 'Dashboard'),
//                            'url' => Yii::$app->homeUrl,
//                        ],
//                        'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
//                    ]) ?> -->

                    <?= Html::submitButton(Yii::t('backend', 'Update'),
                        [
                            'class' => 'btn btn-success'
                        ]
                    ) ?>

                </div>
            </div>
        </div>

        <?php
        $file = yii::getAlias('@storage/private/theme-assets/') . $model->theme_code . '/' . $model->file_code;
        $model->fileContent = file_get_contents($file);
        ?>

        <div class="row">
            <div class="col-md-6">

                <b>File: </b><span style="color: #00acd6"><?= $model->theme_code ?>/<?= $model->file_code ?></span><br/><br/>

            </div>
        </div>

        <div class="row">
            <div class="col-md-11">

                <?= $form->field($model, 'fileContent')->widget(
                    trntv\aceeditor\AceEditor::className(),
                    [
                        'mode' => 'html',
                        'theme' => 'chaos',
                    ]
                ) ?>

            </div>
        </div>
        <?php ActiveForm::end(); ?>
    </div>

</div>
